### Hierarchy

- BlueBaseAppState

## Index

### Properties

- AppComponent
- BB
- booted
- error
- loading

## Properties

### AppComponent

AppComponent: React.ComponentType<any>

- Defined in components/BlueBaseApp/BlueBaseApp.tsx:37

App Component to render

### BB

BB: BlueBase

- Defined in components/BlueBaseApp/BlueBaseApp.tsx:32

BlueBase instance used by the app

### booted

booted: boolean

- Defined in components/BlueBaseApp/BlueBaseApp.tsx:17

Has the app booted yet

### error

error: any

- Defined in components/BlueBaseApp/BlueBaseApp.tsx:27

Any errors occured while booting the app

### loading

loading: boolean

- Defined in components/BlueBaseApp/BlueBaseApp.tsx:22

Are we loading the app

Generated using TypeDoc